From 6251d1ab1298efd42e1f81b25ab3da4854fa93c6 Mon Sep 17 00:00:00 2001
From: Shveta Malik <shveta.malik@gmail.com>
Date: Mon, 19 Feb 2024 10:25:48 +0530
Subject: [PATCH v2] Reword LOG msg for slot-sync

This patch improves the LOG message added by commit 7a424ece48.
---
 src/backend/replication/logical/slotsync.c | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

diff --git a/src/backend/replication/logical/slotsync.c b/src/backend/replication/logical/slotsync.c
index 4cab7b7101..d42b345e46 100644
--- a/src/backend/replication/logical/slotsync.c
+++ b/src/backend/replication/logical/slotsync.c
@@ -368,14 +368,13 @@ update_and_persist_local_synced_slot(RemoteSlot *remote_slot, Oid remote_dbid)
 		 * XXX should this be changed to elog(DEBUG1) perhaps?
 		 */
 		ereport(LOG,
-				errmsg("could not sync slot information as remote slot precedes local slot:"
-					   " remote slot \"%s\": LSN (%X/%X), catalog xmin (%u) local slot: LSN (%X/%X), catalog xmin (%u)",
-					   remote_slot->name,
-					   LSN_FORMAT_ARGS(remote_slot->restart_lsn),
-					   remote_slot->catalog_xmin,
-					   LSN_FORMAT_ARGS(slot->data.restart_lsn),
-					   slot->data.catalog_xmin));
-
+				errmsg("could not sync slot \"%s\" as remote slot precedes local slot",
+					   remote_slot->name),
+				errdetail("Remote slot has LSN %X/%X and catalog xmin %u, but local slot has LSN %X/%X and catalog xmin %u.",
+						  LSN_FORMAT_ARGS(remote_slot->restart_lsn),
+						  remote_slot->catalog_xmin,
+						  LSN_FORMAT_ARGS(slot->data.restart_lsn),
+						  slot->data.catalog_xmin));
 		return;
 	}
 
-- 
2.34.1

